#include <iostream>
#include "console.h"
using namespace std;

void myfunction();
long factorial(int n);

int main() {
    myfunction();
    return 0;
}

void myfunction(){
    int x = 4;
    long xfac = 0;
    xfac = factorial(x);
}

long factorial(int n) {
    cout << n << endl;
    if (n == 1) {
        return 1;
    } else {
        return n * factorial(n - 1);
    }
}
